Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
polyn_gf2m.h File Reference
`#include <botan/secmem.h>`
`#include <botan/gf2m_small_m.h>`
`#include <memory>`
`#include <utility>`

Go to the source code of this file.

## Classes
struct | Botan::polyn_gf2m

## Namespaces
| Botan

## Functions
secure_vector< gf2m > | Botan::find_roots_gf2m_decomp (const polyn_gf2m &polyn, uint32_t code_length)
gf2m | Botan::random_code_element (unsigned code_length, RandomNumberGenerator &rng)
gf2m | Botan::random_gf2m (RandomNumberGenerator &rng)
std::vector< polyn_gf2m > | Botan::syndrome_init (polyn_gf2m const &generator, std::vector< gf2m > const &support, int n)